$(function(){
    $(".btn.checkbox").on('click', function(e){ toggleChecked($(e.target)); });
    $(".btn.radio").on('click', toggleState);
    $("#sel-all").on("click", selectedAll);
    $("#sel-invert").on("click", toggleAllChecked);
});

function toggleChecked(btn){
    var css = btn.attr('className');
    var conner = btn.children('.checked');
    if(-1 == css.indexOf('checked')){
        btn.addClass('checked');
        conner.removeClass('none');
    }
    else{
        btn.removeClass('checked');
        conner.addClass('none');
    }
}

function toggleAllChecked(){
    $(".btn.checkbox").each(function(index){
        toggleChecked($(this));
    });
}

function selectedAll(){
    $(".btn.checkbox").each(function(){
        $(this).addClass('checked');
        $(this).children('.checked.none').removeClass('none');
    });
}

function toggleState(e){
    $(".btn.radio").each(function(){
        $(this).removeClass('checked');
    });

    var self = $(e.target);
    self.addClass('checked');
}
